org.apache.xmlgraphics.util.io

## Interface Finalizable

- All Known Implementing Classes:
    ASCII85OutputStream, ASCIIHexOutputStream, FlateEncodeOutputStream, RunLengthEncodeOutputStream

      public interface Finalizable

  This interface is used for special FilteredOutputStream classes that won't be closed (since this causes the target OutputStream to be closed, too) but where flush() is not enough, for example because a final marker has to be written to the target stream.
  Version:
    $Id$

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finalizeStream()` This method can be called instead of close() on a subclass of FilteredOutputStream when a final marker has to be written to the target stream, but close() cannot be called.

- - ### Method Detail

    - #### finalizeStream

          void finalizeStream()
                       throws java.io.IOException

      This method can be called instead of close() on a subclass of FilteredOutputStream when a final marker has to be written to the target stream, but close() cannot be called.
      Throws:
        `java.io.IOException` - In case of an IO problem

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.